<?php
include 'config/db.php';


$slug = isset($_GET['article']) ? $_GET['article'] : '';

if (empty($slug)) {
    die("Artikel tidak ditemukan.");
}

$slug = mysqli_real_escape_string($conn, $slug);

$query = "SELECT * FROM articles WHERE slug = '$slug'";
$result = mysqli_query($conn, $query);

if (!$result) {
    die("Query gagal: " . mysqli_error($conn));
}
$article = mysqli_fetch_assoc($result);

if (!$article) {
    die("Artikel tidak ditemukan.");
}
?>


<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo htmlspecialchars($article['title']); ?></title>
    <!-- Bootstrap CSS -->
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/5.3.3/css/bootstrap.min.css" rel="stylesheet">
</head>

<body>
    <!-- Header -->
    <header class="bg-primary text-white py-3">
        <div class="container">
            <h1 class="text-center">My BUKTIJP</h1>
        </div>
    </header>

    <!-- Main Content -->
    <main class="container my-4">
        <h1><?php echo htmlspecialchars($article['title']); ?></h1>
        <p><?php echo nl2br(htmlspecialchars($article['content'])); ?></p>
        <a href="index.php" class="btn btn-secondary">Kembali ke beranda</a>
    </main>

    <!-- Bootstrap JS Bundle with Popper -->
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/5.3.3/js/bootstrap.bundle.min.js"></script>
</body>