<?php
include 'config/db.php';

$query = "SELECT * FROM articles";
$result = mysqli_query($conn, $query);

if (!$result) {
    die("Query gagal: " . mysqli_error($conn));
}
?>

<body style="background-image: url('assets/img/a.jpg'); background-size: cover; background-position: center; background-repeat: no-repeat;">

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>BUKTI JP</title>

        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
        <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.10.5/font/bootstrap-icons.min.css" rel="stylesheet">

    </head>

    <header class="bg-primary text-white py-3">
        <div id="banner-text" style="text-align: center; color: white; font-size: 2rem; font-weight: bold; margin: 20px 0;">
            <!-- Text will be changed by JavaScript -->
        </div>
    </header>
    <div style="text-align: center; margin-bottom: 20px; position: relative;">
        <img id="animated-image" src="assets/img/coollogo.png" alt="Banner" style="width: 60%; height: auto; display: inline-block; position: relative; z-index: 1;">
        <canvas id="fire-effect" style="position: absolute; top: 0; left: 0; width: 100%; height: 100%; pointer-events: none;"></canvas>
    </div>
    <main class="container my-4">
        <div class="row g-3">
            <?php while ($row = mysqli_fetch_assoc($result)) : ?>
                <div class="col-md-3 d-flex justify-content-center" style=" width: 14.5rem;  ">
                    <div class="card" style="  border: 2px solid #149ce5;">
                        <?php if (!empty($row['image_url'])) : ?>

                            <img src="assets/img/<?php echo htmlspecialchars($row['image_url']); ?>" class="card-img-top" alt="<?php echo htmlspecialchars($row['title']); ?>">
                        <?php else : ?>
                            <img src="https://via.placeholder.com/150" class="card-img-top" alt="Placeholder image">
                        <?php endif; ?>
                        <div class="card-body">
                            <h5 class="card-title"><?php echo htmlspecialchars($row['title']); ?></h5>
                            <p class="card-text"><?php echo htmlspecialchars(substr($row['content'], 0, 100)); ?>...</p>
                            <a href="article.php?article=<?php echo urlencode($row['slug']); ?>" class="btn btn-primary">Read More</a>
                        </div>
                        <!-- Footer jika diperlukan -->
                        <!-- <div class="card-footer text-muted">
                            <small>Published on <?php echo date('F j, Y', strtotime($row['created_at'])); ?></small>
                        </div> -->
                    </div>
                </div>
            <?php endwhile; ?>
        </div>
    </main>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
    <script>
        // JavaScript to handle the text switching with falling effect
        let texts = [
            'Selamat datang di LUNASTOTO Situs Judi Online Terpercaya Pasti bayar!!!',
            '<i class="bi bi-currency-dollar"></i> Bukti Jackpot LUNASTOTO'
        ];
        let currentIndex = 0;
        const bannerTextContainer = document.getElementById('banner-text');

        function switchText() {
            // Remove old text if it exists
            const oldText = bannerTextContainer.querySelector('.falling-text');
            if (oldText) {
                oldText.classList.add('hide');
                setTimeout(() => {
                    bannerTextContainer.removeChild(oldText);
                }, 500);
            }

            const newText = document.createElement('div');
            newText.className = 'falling-text';
            newText.innerHTML = texts[currentIndex];
            newText.style.position = 'absolute';
            newText.style.width = '100%';
            newText.style.top = '-100%';
            newText.style.left = '0';
            newText.style.opacity = '0';
            newText.style.fontSize = '1.5rem';
            newText.style.transition = 'top 1s ease, opacity 1s ease';
            bannerTextContainer.appendChild(newText);

            setTimeout(() => {
                newText.style.top = '0';
                newText.style.opacity = '1';
            }, 1);

            currentIndex = (currentIndex + 1) % texts.length;
        }
        switchText();

        setInterval(switchText, 3000);

        function createFireEffect() {
            const canvas = document.getElementById('fire-effect');
            const ctx = canvas.getContext('2d');
            canvas.width = canvas.clientWidth;
            canvas.height = canvas.clientHeight;

            function drawFire() {
                ctx.clearRect(0, 0, canvas.width, canvas.height);

                // Fire effect settings
                ctx.fillStyle = 'rgba(255, 69, 0, 0.2)';
                ctx.fillRect(0, 0, canvas.width, canvas.height);

                // Simulate flame effect
                ctx.globalCompositeOperation = 'lighter';
                ctx.fillStyle = 'rgba(255, 140, 0, 0.4)';
                for (let i = 0; i < 100; i++) {
                    const x = Math.random() * canvas.width;
                    const y = Math.random() * canvas.height;
                    const size = Math.random() * 10;
                    ctx.beginPath();
                    ctx.arc(x, y, size, 0, 2 * Math.PI);
                    ctx.fill();
                }

                requestAnimationFrame(drawFire);
            }

            drawFire();
        }

        createFireEffect();
    </script>
</body>